=== docs/requirements.txt ===
pbr
sphinx
six
