=== debian/changelog ===
receptor (1.4.4-1) unstable; urgency=medium

  * New upstream version 1.4.4
  * Patch to use old golang mock
  * Drop applied patches

 -- Jérémy Lal <kapouer@melix.org>  Wed, 07 Feb 2024 18:27:57 +0100

receptor (1.4.3-5) unstable; urgency=medium

  * Inject version at build
  * Patch to wait more time for a test

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Jan 2024 11:05:10 +0100

receptor (1.4.3-4) unstable; urgency=medium

  * Simplify and fix rules so all/any targets work
  * patch: disable TestCreatePing, closes: 1060223.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 08 Jan 2024 00:13:58 +0100

receptor (1.4.3-3) unstable; urgency=medium

  * Source-only upload 

 -- Jérémy Lal <kapouer@melix.org>  Sun, 07 Jan 2024 02:41:58 +0100

receptor (1.4.3-2) unstable; urgency=medium

  * copyright: missing file and debian dir
  * patch:
    + add missing headers
	  + upstream go 1.20/1.21 compatibility
  * enable receptorctl python tests
  * dev package: add example

 -- Jérémy Lal <kapouer@melix.org>  Sat, 06 Jan 2024 13:25:21 +0100

receptor (1.4.3-1) unstable; urgency=medium

  * Initial release (Closes: #1027779)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 05 Jan 2024 00:16:03 +0100
