=== debian/control ===
Source: receptor
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-golang,
 dh-sequence-python3,
 dh-sequence-sphinxdoc,
 sphinx,
 pybuild-plugin-pyproject,
 python3-setuptools,
 python3-all,
 python3-pytest,
 python3-urllib3,
 python3-click,
 python3-dateutil,
 python3-yaml,
 tox,
 ca-certificates,
 help2man,
 lsof,
 psmisc,
 openssh-client,
 golang-any,
 golang-github-creack-pty-dev,
 golang-github-fortytw2-leaktest-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-ghjm-cmdline-dev,
 golang-github-golang-jwt-jwt-dev,
 golang-github-golang-mock-dev,
 golang-github-google-shlex-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-minio-highwayhash-dev,
 golang-github-pbnjay-memory-dev,
 golang-github-quic-go-quic-go-dev,
 golang-github-rogpeppe-go-internal-dev,
 golang-github-songgao-water-dev,
 golang-github-vishvananda-netlink-dev,
 golang-golang-x-net-dev,
 golang-gopkg-yaml.v2-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/receptor
Vcs-Git: https://salsa.debian.org/go-team/packages/receptor.git
Homepage: https://github.com/ansible/receptor
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/ansible/receptor

Package: golang-github-ansible-receptor-dev
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
 golang-github-creack-pty-dev,
 golang-github-fortytw2-leaktest-dev,
 golang-github-fsnotify-fsnotify-dev,
 golang-github-ghjm-cmdline-dev,
 golang-github-golang-jwt-jwt-dev,
 golang-github-golang-mock-dev,
 golang-github-google-shlex-dev,
 golang-github-gorilla-websocket-dev,
 golang-github-minio-highwayhash-dev,
 golang-github-pbnjay-memory-dev,
 golang-github-quic-go-quic-go-dev,
 golang-github-rogpeppe-go-internal-dev,
 golang-github-songgao-water-dev,
 golang-github-vishvananda-netlink-dev,
 golang-golang-x-net-dev,
 golang-gopkg-yaml.v2-dev,
 golang-k8s-api-dev,
 golang-k8s-apimachinery-dev,
 golang-k8s-client-go-dev,
Description: Daemon for controlling a mesh of nodes and workers (library)
 Receptor is an overlay network intended to ease the distribution
 of work across a large and dispersed collection of workers.
 Receptor nodes establish peer-to-peer connections with each other via
 existing networks.
 .
 These are the Golang development files.

Package: receptor
Section: web
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends},
	python3-receptorctl,
	python3-receptor-python-worker,
Built-Using: ${misc:Built-Using}
Suggests: receptor-doc
Description: Daemon for controlling a mesh of nodes and workers
 Receptor is an overlay network intended to ease the distribution
 of work across a large and dispersed collection of workers.
 Receptor nodes establish peer-to-peer connections with each other via
 existing networks.

Package: receptor-doc
Architecture: all
Section: doc
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Receptor HTML documentation
 Users, developers, and contributors guides.
 .
 Receptor is a daemon for controlling a mesh of nodes and workers.


Package: python3-receptorctl
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library and client for interacting with receptor daemon
 This provides the Python library and command-line client to interact
 with receptor over its control socket interface.
 .
 Receptor is a daemon for controlling a mesh of nodes and workers.


Package: python3-receptor-python-worker
Section: python
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Command to let receptor supervise a Python worker plugin
 Receptor calls this command to supervise worker operations inside
 a node.
 .
 Receptor is a daemon for controlling a mesh of nodes and workers.
