## receptor 1.4.8

=== Makefile ===
--- 
+++ 
@@ -1,10 +1,13 @@
-# If the current commit has been tagged, use that as the version.
-# Otherwise include short commit hash.
+# If the current git commit has been tagged, use <tag> as the version. (e.g. v1.4.5)
+# Otherwise the version is <tag>+git<short commit hash> (e.g. 1.4.5+f031d2)
 OFFICIAL_VERSION := $(shell if VER=`git describe --exact-match --tags 2>/dev/null`; then echo $$VER; else echo ""; fi)
-ifeq ($(OFFICIAL_VERSION),)
-VERSION := $(shell git describe --tags | cut -d - -f -1)+g$(shell git rev-parse --short HEAD)
-else
-VERSION := $(OFFICIAL_VERSION)
+ifneq ($(OFFICIAL_VERSION),)
+	VERSION := $(OFFICIAL_VERSION)
+else ifneq ($(shell git tag --list),)
+	VERSION := $(shell git describe --tags | cut -d - -f -1)+$(shell git rev-parse --short HEAD)
+else ifeq ($(VERSION),)
+	VERSION := $(error No tags found in git repository)
+# else VERSION was passed as a command-line argument to make
 endif
 
 
@@ -46,8 +49,15 @@
 	DEBUGFLAGS=
 endif
 
+GO ?= go
+
 receptor: $(shell find pkg -type f -name '*.go') ./cmd/receptor-cl/receptor.go
-	CGO_ENABLED=0 GOFLAGS="-buildvcs=false" go build -o receptor $(DEBUGFLAGS) -ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(VERSION)'" $(TAGPARAM) ./cmd/receptor-cl
+	CGO_ENABLED=0 GOFLAGS="-buildvcs=false" $(GO) build \
+		-o receptor \
+		$(DEBUGFLAGS) \
+		-ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(VERSION)'" \
+		$(TAGPARAM) \
+		./cmd/receptor-cl
 
 clean:
 	@rm -fv .container-flag*
@@ -87,10 +97,10 @@
 	@golint cmd/... pkg/... example/...
 
 receptorctl-lint: receptorctl/.VERSION
-	@cd receptorctl && tox -e lint
+	@cd receptorctl && nox -s lint
 
 format:
-	@find cmd/ pkg/ -type f -name '*.go' -exec go fmt {} \;
+	@find cmd/ pkg/ -type f -name '*.go' -exec $(GO) fmt {} \;
 
 fmt: format
 
@@ -99,19 +109,40 @@
 
 build-all:
 	@echo "Running Go builds..." && \
-	GOOS=windows go build -o receptor.exe ./cmd/receptor-cl && \
-	GOOS=darwin go build -o receptor.app ./cmd/receptor-cl && \
-	go build example/*.go && \
-	go build -o receptor --tags no_backends,no_services,no_tls_config ./cmd/receptor-cl && \
-	go build -o receptor ./cmd/receptor-cl
-
+	GOOS=windows $(GO) build \
+		-o receptor.exe \
+		./cmd/receptor-cl && \
+	GOOS=darwin $(GO) build \
+		-o receptor.app \
+		./cmd/receptor-cl && \
+	$(GO) build \
+		example/*.go && \
+	$(GO) build \
+		-o receptor \
+		--tags no_backends,no_services,no_tls_config \
+		./cmd/receptor-cl && \
+	$(GO) build \
+		-o receptor \
+		-ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(VERSION)'" \
+		./cmd/receptor-cl
+
+BINNAME='receptor'
+CHECKSUM_PROGRAM='sha256sum'
+GOARCH=$(ARCH)
+GOOS=$(OS)
 DIST := receptor_$(shell echo '$(VERSION)' | sed 's/^v//')_$(GOOS)_$(GOARCH)
 build-package:
 	@echo "Building and packaging binary for $(GOOS)/$(GOARCH) as dist/$(DIST).tar.gz" && \
 	mkdir -p dist/$(DIST) && \
-	GOOS=$(GOOS) GOARCH=$(GOARCH) CGO_ENABLED=0 go build -o dist/$(DIST)/$(BINNAME) $(DEBUGFLAGS) -ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(VERSION)'" $(TAGPARAM) ./cmd/receptor-cl && \
+	GOOS=$(GOOS) GOARCH=$(GOARCH) CGO_ENABLED=0 $(GO) build \
+		-o dist/$(DIST)/$(BINNAME) \
+		$(DEBUGFLAGS) \
+		-ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(VERSION)'" \
+		$(TAGPARAM) \
+		./cmd/receptor-cl && \
 	tar -C dist/$(DIST) -zcf dist/$(DIST).tar.gz $(BINNAME) && \
-	cd dist/ && sha256sum $(DIST).tar.gz >> checksums.txt
+	cd dist/ && \
+	$(CHECKSUM_PROGRAM) $(DIST).tar.gz >> checksums.txt
 
 RUNTEST ?=
 ifeq ($(RUNTEST),)
@@ -124,7 +155,7 @@
 COVERAGE_FILE='coverage.txt'
 
 coverage: build-all
-	PATH="${PWD}:${PATH}" go test $$(go list ./... | grep -vE $(BLOCKLIST)) \
+	PATH="${PWD}:${PATH}" $(GO) test $$($(GO) list ./... | grep -vE $(BLOCKLIST)) \
 	  $(TESTCMD) \
 	  -count=1 \
 	  -cover \
@@ -135,10 +166,10 @@
 
 test: receptor
 	PATH="${PWD}:${PATH}" \
-	go test ./... $(TESTCMD) -count=1 -race -timeout 5m
+	$(GO) test ./... $(TESTCMD) -count=1 -race -timeout 5m
 
 receptorctl-test: receptorctl/.VERSION
-	@cd receptorctl && tox -e py3
+	@cd receptorctl && nox -s tests
 
 testloop: receptor
 	@i=1; while echo "------ $$i" && \
