=== debian/changelog ===
receptor (1.4.8-1) unstable; urgency=medium

  * New upstream version 1.4.8
  * Extend use_old_gomock
  * Drop tox
  * Install missing files using before-test

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Jul 2024 14:43:49 +0200
