=== debian/control ===
--- 
+++ 
@@ -17,7 +17,6 @@
  python3-click,
  python3-dateutil,
  python3-yaml,
- tox,
  ca-certificates,
  help2man,
  lsof,
