=== debian/rules ===
--- 
+++ 
@@ -79,5 +79,5 @@
 	cd receptorctl/tests && ln -sf ../receptorctl . && ln -sf ../receptorctl.egg-info .
 	mkdir -p tests/artifacts-output
 	ln -sfr _build/bin/receptor tests/artifacts-output/receptor
-	dh_auto_test --buildsystem=pybuild --sourcedirectory=receptorctl -- --name=receptorctl --test-tox
+	dh_auto_test --buildsystem=pybuild --sourcedirectory=receptorctl -- --name=receptorctl --before-test="cp -r {dir}/tests/mesh-definitions {build_dir}/tests/"
