## receptor 1.5.1

=== debian/changelog ===
receptor (1.5.1-1) unstable; urgency=medium

  * New upstream version 1.5.1

 -- Jérémy Lal <kapouer@melix.org>  Tue, 03 Dec 2024 17:30:47 +0100

receptor (1.5.0-1) unstable; urgency=medium

  * New upstream version 1.5.0

 -- Jérémy Lal <kapouer@melix.org>  Mon, 25 Nov 2024 14:17:54 +0100

receptor (1.4.11-1) unstable; urgency=medium

  * New upstream version 1.4.11
  * Add dependencies
  * uber-mock is available, drop compat patch
  * Exclude tests/goroutines/simple_config.go from build

 -- Jérémy Lal <kapouer@melix.org>  Wed, 20 Nov 2024 16:36:58 +0100
