## receptor 1.5.2

=== debian/changelog ===
receptor (1.5.2-1) unstable; urgency=medium

  * New upstream version 1.5.2. Closes: #1091569.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 12 Jan 2025 21:22:14 +0100
