=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  golang-github-fsnotify-fsnotify-dev,
  golang-github-ghjm-cmdline-dev,
  golang-github-golang-jwt-jwt-dev,
- golang-github-golang-mock-dev,
+ golang-github-google-go-cmp-dev,
  golang-github-google-shlex-dev,
  golang-github-gorilla-websocket-dev,
  golang-github-minio-highwayhash-dev,
@@ -36,9 +36,14 @@
  golang-github-quic-go-quic-go-dev,
  golang-github-rogpeppe-go-internal-dev,
  golang-github-songgao-water-dev,
+ golang-github-spf13-cobra-dev,
+ golang-github-spf13-viper-dev,
  golang-github-vishvananda-netlink-dev,
  golang-golang-x-net-dev,
+ golang-golang-x-sys-dev,
  golang-gopkg-yaml.v2-dev,
+ golang-go.uber-mock-dev,
+ golang-uber-goleak-dev,
  golang-k8s-api-dev,
  golang-k8s-apimachinery-dev,
  golang-k8s-client-go-dev,
@@ -58,7 +63,7 @@
  golang-github-fsnotify-fsnotify-dev,
  golang-github-ghjm-cmdline-dev,
  golang-github-golang-jwt-jwt-dev,
- golang-github-golang-mock-dev,
+ golang-github-google-go-cmp-dev,
  golang-github-google-shlex-dev,
  golang-github-gorilla-websocket-dev,
  golang-github-minio-highwayhash-dev,
@@ -66,9 +71,14 @@
  golang-github-quic-go-quic-go-dev,
  golang-github-rogpeppe-go-internal-dev,
  golang-github-songgao-water-dev,
+ golang-github-spf13-cobra-dev,
+ golang-github-spf13-viper-dev,
  golang-github-vishvananda-netlink-dev,
  golang-golang-x-net-dev,
+ golang-golang-x-sys-dev,
  golang-gopkg-yaml.v2-dev,
+ golang-go.uber-mock-dev,
+ golang-uber-goleak-dev,
  golang-k8s-api-dev,
  golang-k8s-apimachinery-dev,
  golang-k8s-client-go-dev,
@@ -85,8 +95,8 @@
 Architecture: any
 Depends: ${misc:Depends},
  ${shlibs:Depends},
-	python3-receptorctl,
-	python3-receptor-python-worker,
+ python3-receptorctl,
+ python3-receptor-python-worker,
 Built-Using: ${misc:Built-Using}
 Suggests: receptor-doc
 Description: Daemon for controlling a mesh of nodes and workers
