## receptor 1.5.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 ifneq ($(OFFICIAL_VERSION),)
 	VERSION := $(OFFICIAL_VERSION)
 else ifneq ($(shell git tag --list),)
-	VERSION := $(shell git describe --tags | cut -d - -f -1)+$(shell git rev-parse --short HEAD)
+	VERSION := $(shell git describe --tags | cut -d - -f -1)+git$(shell git rev-parse --short HEAD)
 else ifeq ($(VERSION),)
 	VERSION := $(error No tags found in git repository)
 # else VERSION was passed as a command-line argument to make
@@ -96,7 +96,7 @@
 lint:
 	@golint cmd/... pkg/... example/...
 
-receptorctl-lint: receptorctl/.VERSION
+receptorctl-lint: receptor receptorctl/.VERSION
 	@cd receptorctl && nox -s lint
 
 format:
@@ -117,10 +117,6 @@
 		./cmd/receptor-cl && \
 	$(GO) build \
 		example/*.go && \
-	$(GO) build \
-		-o receptor \
-		--tags no_backends,no_services,no_tls_config \
-		./cmd/receptor-cl && \
 	$(GO) build \
 		-o receptor \
 		-ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(VERSION)'" \
@@ -155,20 +151,25 @@
 COVERAGE_FILE='coverage.txt'
 
 coverage: build-all
-	PATH="${PWD}:${PATH}" $(GO) test $$($(GO) list ./... | grep -vE $(BLOCKLIST)) \
-	  $(TESTCMD) \
-	  -count=1 \
-	  -cover \
-	  -covermode=atomic \
-	  -coverprofile=$(COVERAGE_FILE) \
-	  -race \
-	  -timeout 5m
+	PATH="${PWD}:${PATH}" \
+		$(GO) test $$($(GO) list ./... | grep -vE $(BLOCKLIST)) \
+		$(TESTCMD) \
+		-count=1 \
+		-cover \
+		-covermode=atomic \
+		-coverprofile=$(COVERAGE_FILE) \
+		-race \
+		-timeout 5m
 
 test: receptor
 	PATH="${PWD}:${PATH}" \
-	$(GO) test ./... $(TESTCMD) -count=1 -race -timeout 5m
-
-receptorctl-test: receptorctl/.VERSION
+		$(GO) test $$($(GO) list ./...) \
+		$(TESTCMD) \
+		-count=1 \
+		-race \
+		-timeout 5m
+
+receptorctl-test: receptorctl/.VERSION receptor
 	@cd receptorctl && nox -s tests
 
 testloop: receptor
