=== debian/changelog ===
receptor (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3
  * patch: revert pyroscope for now
  * patch: drop a failing test caused by go 1.24 rsa change.
    Closes: #1096226.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 19 Feb 2025 19:59:28 +0100
