=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,9 @@
 # needed by tests
 export DH_GOLANG_INSTALL_EXTRA := pkg/controlsvc/reload_test_yml
 
-# do not package example
-export DH_GOLANG_EXCLUDES := example
+export DH_GOLANG_EXCLUDES := \
+ example \
+ github.com/ansible/receptor/tests/goroutines
 
 # do not test kubernetes yet
 export SKIP_KUBE = 1
@@ -66,7 +67,7 @@
 	dh_auto_build --buildsystem=pybuild --sourcedirectory=receptor-python-worker -- --name=receptor-python-worker
 
 override_dh_auto_build:
-	dh_auto_build -- -ldflags "-X github.com/ansible/receptor/internal/version.Version=$(DEB_VERSION_UPSTREAM)"
+	dh_auto_build -- -ldflags "-X 'github.com/ansible/receptor/internal/version.Version=$(DEB_VERSION_UPSTREAM)'"
 
 execute_after_dh_auto_build:
 	mv _build/bin/receptor-cl _build/bin/receptor
@@ -75,6 +76,9 @@
 	dh_auto_install --buildsystem=pybuild --sourcedirectory=receptorctl -- --name=receptorctl
 	dh_auto_install --buildsystem=pybuild --sourcedirectory=receptor-python-worker -- --name=receptor-python-worker
 
+override_dh_auto_test:
+	dh_auto_test --builddirectory=_build --buildsystem=golang -- -p 1 
+
 execute_after_dh_auto_test:
 	cd receptorctl/tests && ln -sf ../receptorctl . && ln -sf ../receptorctl.egg-info .
 	mkdir -p tests/artifacts-output
