=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
 https://github.com/ansible/receptor/tags \
 .*?@ANY_VERSION@@ARCHIVE_EXT@ group

opts="mode=git,pgpmode=none,component=golang-github-jupp0r-go-priority-queue,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%golang-github-jupp0r-go-priority-queue-$1$2%" \
 https://github.com/jupp0r/go-priority-queue \
 HEAD ignore

opts="mode=git,pgpmode=none,component=golang-github-prep-socketpair,filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%golang-github-prep-socketpair-$1$2%" \
 https://github.com/prep/socketpair \
 HEAD ignore
