## receptor 1.5.5

=== Makefile ===
--- 
+++ 
@@ -72,7 +72,7 @@
 	@rm -fv receptor-python-worker/dist/*
 	@rm -rfv receptorctl-test-venv/
 
-ARCH=amd64
+ARCH ?= amd64
 OS=linux
 
 KUBECTL_BINARY=./kubectl
