=== docs/requirements.txt ===
doc8
pbr
rstcheck >= 6
six
sphinx
sphinx_ansible_theme
