=== docs/source/requirements.txt ===
pbr
sphinx
sphinx-ansible-theme
six
