=== debian/changelog ===
receptor (1.5.5-2) unstable; urgency=medium

  * Pass --no-parallel for tests. Closes: #1109561

 -- Jérémy Lal <kapouer@melix.org>  Mon, 21 Jul 2025 13:08:42 +0200

receptor (1.5.5-1) unstable; urgency=medium

  * New upstream version 1.5.5
    This release addresses some security concerns by restoring
    native TLS certificate validation behavior.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 13 May 2025 09:10:09 +0200

receptor (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4
  * Patching go.mod is useless
  * No longer remove stretchr-testify from go.mod

 -- Jérémy Lal <kapouer@melix.org>  Tue, 08 Apr 2025 13:17:02 +0200
