=== debian/control ===
--- 
+++ 
@@ -38,6 +38,7 @@
  golang-github-songgao-water-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
+ golang-github-stretchr-testify-dev,
  golang-github-vishvananda-netlink-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
@@ -73,6 +74,7 @@
  golang-github-songgao-water-dev,
  golang-github-spf13-cobra-dev,
  golang-github-spf13-viper-dev,
+ golang-github-stretchr-testify-dev,
  golang-github-vishvananda-netlink-dev,
  golang-golang-x-net-dev,
  golang-golang-x-sys-dev,
