=== debian/rules ===
--- 
+++ 
@@ -77,7 +77,7 @@
 	dh_auto_install --buildsystem=pybuild --sourcedirectory=receptor-python-worker -- --name=receptor-python-worker
 
 override_dh_auto_test:
-	dh_auto_test --builddirectory=_build --buildsystem=golang -- -p 1 
+	dh_auto_test --builddirectory=_build --buildsystem=golang --no-parallel
 
 execute_after_dh_auto_test:
 	cd receptorctl/tests && ln -sf ../receptorctl . && ln -sf ../receptorctl.egg-info .
